from stroke import Stroke

class Slide():
	"""Class that represents a slide with all of its information.

	A slide object has 3 attributes:
		- path : the path from the current
		directory to the jpg image of the slide
		- strokes : an array of stroke objects,
		which are added during recording
		- duration : the duration in miliseconds of
		the display of the given slide, also filled in
		during recording.

	"""

	def __init__(self, path):
		self.path = path
		self.strokes = []
		self.duration = 0

	def add_stroke(self, ax, ay, bx, by, timestamp):
		""" Adds a stroke to the back of the strokes list. """
		self.strokes.append(Stroke(ax, ay, bx, by, timestamp))